## gajim 1.0.0~alpha1

=== debian/changelog ===
gajim (1.0.0~alpha1-1) unstable; urgency=medium

  * new upstream version
  * suggest gir1.2-gupnpigd-1.0 rather than python3-gupnp-igd
    (Closes: #879038)
  * does not use gnomekeyring anymore (Closes: #844156)
  * does not use OpenSSL rand anymore (Closes: #884311, #884358)
  * does not use demandimport anymore (Closes: #835472)

 -- W. Martin Borgert <debacle@debian.org>  Sat, 16 Dec 2017 17:07:21 +0000

=== debian/control ===
Source: gajim
Section: net
Priority: optional
Maintainer: Debian Gajim Maintainers <pkg-gajim-maintainers@lists.alioth.debian.org>
Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>,
    Norbert Tretkowski <norbert@tretkowski.de>,
    W. Martin Borgert <debacle@debian.org>
Build-Depends:
    debhelper (>= 10),
    dh-python,
    gettext (>= 0.17-4),
    imagemagick,
    intltool (>= 0.40.1),
    libglib2.0-dev,
    python3,
    python3-gi,
    python3-gi-cairo,
    gir1.2-gtk-3.0,
    python3-nbxmpp,
    python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.1.2
Homepage: https://gajim.org/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/gajim.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gajim.git

Package: gajim
Architecture: all
Depends:
    ${misc:Depends}, ${python3:Depends},
    gir1.2-gtk-3.0,
    python3,
    python3-gi,
    python3-gi-cairo,
    python3-idna,
    python3-nbxmpp (>= 0.6.0),
    python3-openssl (>= 0.12),
    python3-pyasn1,
Recommends:
    aspell-en | aspell-dictionary,
    ca-certificates,
    dbus,
    fonts-noto-color-emoji,
    gajim-omemo (>= 2.5.1),
    gajim-pgp,
    gir1.2-farstream-0.2,
    gir1.2-geoclue-2.0,
    gir1.2-gspell-1,
    gir1.2-gst-plugins-base-1.0,
    gir1.2-gstreamer-1.0,
    gir1.2-gupnpigd-1.0,
    gir1.2-networkmanager-1.0,
    gir1.2-secret-1,
    gstreamer0.10-plugins-ugly,
    notification-daemon,
    pulseaudio-utils | alsa-utils | sox | oss4-base,
    python3-crypto,
    python3-dbus (>=0.81),
    python3-gnupg (>= 0.4.1),
    python3-pil,
    python3-precis-i18n,
Suggests:
    avahi-daemon,
    libxss1,
    nautilus-sendto,
    python3-avahi,
    python3-gconf,
    python3-gnome2,
    python3-kerberos (>= 1.1),
    python3-pycurl,
Description: GTK+-based Jabber client
 Gajim is a Jabber client. It has a tabbed user interface with normal chats,
 group chats, and has many features such as, TLS, GPG, SSL, multiple accounts,
 avatars, file transfers, audio/video call, D-Bus and Metacontacts.

## gajim 1.0.0~alpha2

=== debian/changelog ===
gajim (1.0.0~alpha2-1) unstable; urgency=medium

  * new upstream version fixing DB issues

 -- W. Martin Borgert <debacle@debian.org>  Sun, 17 Dec 2017 20:52:46 +0000

## gajim 1.0.0~alpha3

=== debian/changelog ===
gajim (1.0.0~alpha3-1) unstable; urgency=medium

  * new upstream snapshot (not tagged) fixing several issues
  * move to Debian XMPP Maintainers and salsa.debian.org
  * Bump standars version

 -- W. Martin Borgert <debacle@debian.org>  Wed, 07 Feb 2018 19:24:06 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gajim
 Section: net
 Priority: optional
-Maintainer: Debian Gajim Maintainers <pkg-gajim-maintainers@lists.alioth.debian.org>
+Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
 Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>,
     Norbert Tretkowski <norbert@tretkowski.de>,
     W. Martin Borgert <debacle@debian.org>
@@ -19,10 +19,10 @@
     python3-nbxmpp,
     python3-setuptools
 Rules-Requires-Root: no
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Homepage: https://gajim.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/gajim.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gajim.git
+Vcs-Git: https://salsa.debian.org/xmpp-team/gajim.git
+Vcs-Browser: https://salsa.debian.org/xmpp-team/gajim
 
 Package: gajim
 Architecture: all
@@ -57,6 +57,7 @@
     python3-crypto,
     python3-dbus (>=0.81),
     python3-gnupg (>= 0.4.1),
+    python3-keyring,
     python3-pil,
     python3-precis-i18n,
 Suggests:

## gajim 1.0.0~beta1

=== debian/changelog ===
gajim (1.0.0~beta1-1) unstable; urgency=medium

  * new upstream version

 -- W. Martin Borgert <debacle@debian.org>  Thu, 08 Feb 2018 22:03:46 +0000

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
     python3-gi,
     python3-gi-cairo,
     python3-idna,
-    python3-nbxmpp (>= 0.6.0),
+    python3-nbxmpp (>= 0.6.3),
     python3-openssl (>= 0.12),
     python3-pyasn1,
 Recommends:

## gajim 1.0.0~beta2

=== debian/changelog ===
gajim (1.0.0~beta2-1) unstable; urgency=medium

  * new upstream version
  * break gajim-httpupload, functionality is in gajim since 1.0.0~beta1
    (Closes: #889954)

 -- W. Martin Borgert <debacle@debian.org>  Sun, 18 Feb 2018 20:26:52 +0000

=== debian/control ===
--- 
+++ 
@@ -69,6 +69,9 @@
     python3-gnome2,
     python3-kerberos (>= 1.1),
     python3-pycurl,
+Breaks: gajim-httpupload
+Replaces: gajim-httpupload
+Provides: gajim-httpupload
 Description: GTK+-based Jabber client
  Gajim is a Jabber client. It has a tabbed user interface with normal chats,
  group chats, and has many features such as, TLS, GPG, SSL, multiple accounts,

## gajim 1.0.0

=== debian/changelog ===
gajim (1.0.0-1) unstable; urgency=medium

  * new upstream version

 -- W. Martin Borgert <debacle@debian.org>  Sun, 18 Mar 2018 10:44:45 +0000

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
     python3-gi,
     python3-gi-cairo,
     python3-idna,
-    python3-nbxmpp (>= 0.6.3),
+    python3-nbxmpp (>= 0.6.4),
     python3-openssl (>= 0.12),
     python3-pyasn1,
 Recommends:

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

# The Makefile test target is broken and refers to a non-existant test/runtests.py;
# in fact that target should not exist at all.
override_dh_auto_test:

override_dh_auto_clean:
	python3 setup.py clean -a
	rm -rf gajim/__pycache__/
	rm -rf gajim/command_system/__pycache__/
	rm -rf gajim/command_system/implementation/__pycache__/
	rm -rf gajim/common/__pycache__/
	rm -rf gajim/common/protocol/__pycache__/
	rm -rf gajim/common/zeroconf/__pycache__/
	rm -rf gajim/data/emoticons/font-emoticons/__pycache__/
	rm -rf gajim/data/emoticons/noto-emoticons/__pycache__/
	rm -rf gajim/plugins/__pycache__/

override_dh_auto_configure:
	python3 setup.py config

override_dh_auto_build:
	python3 setup.py build

override_dh_auto_install:
	python3 setup.py install --install-layout=deb --root=$(CURDIR)/debian/gajim
	rm -rf $(CURDIR)/debian/gajim/usr/lib/python3/dist-packages/gajim/data/emoticons/*-emoticons/*
	touch $(CURDIR)/debian/gajim/usr/lib/python3/dist-packages/gajim/data/emoticons/.dummy

=== debian/watch ===
# Control file for uscan
# Run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

https://www.gajim.org/downloads/([\d.]*)/gajim-([\d\.]*)\.tar\.(?:gz|bz2|xz)

## gajim 1.0.1

=== debian/changelog ===
gajim (1.0.1-3) unstable; urgency=medium

  * fix a backtrace in the preferences dialog, now really, really
    (Closes: #886324, #893724)

 -- W. Martin Borgert <debacle@debian.org>  Wed, 04 Apr 2018 20:21:12 +0000

gajim (1.0.1-2) unstable; urgency=medium

  * new upstream version
  * which hopefully does not crash in preferences anymore
    (Closes: #886324, #893724)
  * add patch to not use distutils (Closes: #893694)
  * update dependencies
  * do not install cacerts.pem
  * do not remove emoticon themes anymore
  * fix d/ch date

 -- W. Martin Borgert <debacle@debian.org>  Sun, 01 Apr 2018 21:31:28 +0000

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
     Norbert Tretkowski <norbert@tretkowski.de>,
     W. Martin Borgert <debacle@debian.org>
 Build-Depends:
-    debhelper (>= 10),
+    debhelper (>= 11),
     dh-python,
     gettext (>= 0.17-4),
     imagemagick,
     intltool (>= 0.40.1),
     libglib2.0-dev,
     python3,
+    python3-distutils,
     python3-gi,
     python3-gi-cairo,
     gir1.2-gtk-3.0,
@@ -27,9 +28,10 @@
 Package: gajim
 Architecture: all
 Depends:
-    ${misc:Depends}, ${python3:Depends},
-    gir1.2-gtk-3.0,
-    python3,
+    ${misc:Depends},
+    ${python3:Depends},
+    gir1.2-gtk-3.0 (>= 3.22),
+    python3 (>= 3.5),
     python3-gi,
     python3-gi-cairo,
     python3-idna,
@@ -69,7 +71,11 @@
     python3-gnome2,
     python3-kerberos (>= 1.1),
     python3-pycurl,
-Breaks: gajim-httpupload
+Breaks: gajim-antispam (<< 1.4.4),
+    gajim-httpupload,
+    gajim-omemo (<< 2.5.6),
+    gajim-triggers (<< 0.2),
+    gajim-urlimagepreview (<< 2.1.5)
 Replaces: gajim-httpupload
 Provides: gajim-httpupload
 Description: GTK+-based Jabber client

=== debian/rules ===
--- 
+++ 
@@ -27,5 +27,5 @@
 
 override_dh_auto_install:
 	python3 setup.py install --install-layout=deb --root=$(CURDIR)/debian/gajim
-	rm -rf $(CURDIR)/debian/gajim/usr/lib/python3/dist-packages/gajim/data/emoticons/*-emoticons/*
-	touch $(CURDIR)/debian/gajim/usr/lib/python3/dist-packages/gajim/data/emoticons/.dummy
+	rm -rf $(CURDIR)/debian/gajim/usr/lib/python3/dist-packages/gajim/data/emoticons/noto-emoticons/
+	rm -f $(CURDIR)/debian/gajim/usr/lib/python3/dist-packages/gajim/data/other/cacerts.pem

## gajim 1.0.2

=== debian/changelog ===
gajim (1.0.2-1) unstable; urgency=medium

  * new upstream version
  * bump standars version
  * add upstream patch to fix gtk-css-provider-error-quark exception,
    delete obsolete patch, update patches

 -- W. Martin Borgert <debacle@debian.org>  Tue, 01 May 2018 07:26:33 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
     python3-nbxmpp,
     python3-setuptools
 Rules-Requires-Root: no
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://gajim.org/
 Vcs-Git: https://salsa.debian.org/xmpp-team/gajim.git
 Vcs-Browser: https://salsa.debian.org/xmpp-team/gajim

## gajim 1.0.3

=== debian/changelog ===
gajim (1.0.3-1) unstable; urgency=medium

  * new upstream version
  * remove unneeded recommends (Closes: #898434)
  * remove upstream patch
  * depend on latest python3-nbxmpp

 -- W. Martin Borgert <debacle@debian.org>  Sun, 20 May 2018 08:48:38 +0000

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
     python3-gi,
     python3-gi-cairo,
     python3-idna,
-    python3-nbxmpp (>= 0.6.4),
+    python3-nbxmpp (>= 0.6.6),
     python3-openssl (>= 0.12),
     python3-pyasn1,
 Recommends:
@@ -51,7 +51,6 @@
     gir1.2-gst-plugins-base-1.0,
     gir1.2-gstreamer-1.0,
     gir1.2-gupnpigd-1.0,
-    gir1.2-networkmanager-1.0,
     gir1.2-secret-1,
     gstreamer0.10-plugins-ugly,
     notification-daemon,

## gajim 1.1.0~beta1

=== debian/changelog ===
gajim (1.1.0~beta1-1) unstable; urgency=medium

  * new upstream version

 -- W. Martin Borgert <debacle@debian.org>  Tue, 21 Aug 2018 09:29:13 +0000

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
     intltool (>= 0.40.1),
     libglib2.0-dev,
     python3,
+    python3-cssutils,
     python3-distutils,
     python3-gi,
     python3-gi-cairo,
@@ -32,12 +33,12 @@
     ${python3:Depends},
     gir1.2-gtk-3.0 (>= 3.22),
     python3 (>= 3.5),
+    python3-cssutils (>= 1.0.2),
     python3-gi,
     python3-gi-cairo,
     python3-idna,
-    python3-nbxmpp (>= 0.6.6),
+    python3-nbxmpp (>= 0.6.7),
     python3-openssl (>= 0.12),
-    python3-pyasn1,
 Recommends:
     aspell-en | aspell-dictionary,
     ca-certificates,
@@ -65,7 +66,6 @@
     avahi-daemon,
     libxss1,
     nautilus-sendto,
-    python3-avahi,
     python3-gconf,
     python3-gnome2,
     python3-kerberos (>= 1.1),

## gajim 1.1.0

=== debian/changelog ===
gajim (1.1.0-1) unstable; urgency=medium

  * new upstream version

 -- W. Martin Borgert <debacle@debian.org>  Tue, 06 Nov 2018 23:04:10 +0000

gajim (1.1.0~beta2-1) unstable; urgency=medium

  * new upstream version (Closes: #908351)

 -- W. Martin Borgert <debacle@debian.org>  Sun, 14 Oct 2018 21:51:33 +0000

=== debian/control ===
--- 
+++ 
@@ -39,6 +39,7 @@
     python3-idna,
     python3-nbxmpp (>= 0.6.7),
     python3-openssl (>= 0.12),
+    python3-precis-i18n,
 Recommends:
     aspell-en | aspell-dictionary,
     ca-certificates,
@@ -61,7 +62,6 @@
     python3-gnupg (>= 0.4.1),
     python3-keyring,
     python3-pil,
-    python3-precis-i18n,
 Suggests:
     avahi-daemon,
     libxss1,

## gajim 1.1.1

=== debian/changelog ===
gajim (1.1.1-2) unstable; urgency=medium

  * add upstream patch to fix status tray notification

 -- W. Martin Borgert <debacle@debian.org>  Fri, 28 Dec 2018 14:07:18 +0000

gajim (1.1.1-1) unstable; urgency=medium

  * new upstream version

 -- W. Martin Borgert <debacle@debian.org>  Thu, 27 Dec 2018 11:22:56 +0000

## gajim 1.1.2

=== debian/changelog ===
gajim (1.1.2-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- W. Martin Borgert <debacle@debian.org>  Fri, 08 Feb 2019 08:56:04 +0000

gajim (1.1.2-2) unstable; urgency=medium

  * drop suggests of obsolete packages (Closes: #916931)
  * recommend current gstreamer plugins (Closes: #921085)
  * depend on latest nbxmpp (Closes: #921095)

 -- W. Martin Borgert <debacle@debian.org>  Sat, 02 Feb 2019 21:59:43 +0000

gajim (1.1.2-1) unstable; urgency=medium

  * new upstream version

 -- W. Martin Borgert <debacle@debian.org>  Tue, 15 Jan 2019 22:23:55 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
     Norbert Tretkowski <norbert@tretkowski.de>,
     W. Martin Borgert <debacle@debian.org>
 Build-Depends:
-    debhelper (>= 11),
+    debhelper (>= 10),
     dh-python,
     gettext (>= 0.17-4),
     imagemagick,
@@ -14,7 +14,6 @@
     libglib2.0-dev,
     python3,
     python3-cssutils,
-    python3-distutils,
     python3-gi,
     python3-gi-cairo,
     gir1.2-gtk-3.0,
@@ -33,11 +32,11 @@
     ${python3:Depends},
     gir1.2-gtk-3.0 (>= 3.22),
     python3 (>= 3.5),
-    python3-cssutils (>= 1.0.2),
+    python3-cssutils,
     python3-gi,
     python3-gi-cairo,
     python3-idna,
-    python3-nbxmpp (>= 0.6.7),
+    python3-nbxmpp (>= 0.6.9~),
     python3-openssl (>= 0.12),
     python3-precis-i18n,
 Recommends:
@@ -54,7 +53,7 @@
     gir1.2-gstreamer-1.0,
     gir1.2-gupnpigd-1.0,
     gir1.2-secret-1,
-    gstreamer0.10-plugins-ugly,
+    gstreamer1.0-plugins-ugly,
     notification-daemon,
     pulseaudio-utils | alsa-utils | sox | oss4-base,
     python3-crypto,
@@ -66,8 +65,6 @@
     avahi-daemon,
     libxss1,
     nautilus-sendto,
-    python3-gconf,
-    python3-gnome2,
     python3-kerberos (>= 1.1),
     python3-pycurl,
 Breaks: gajim-antispam (<< 1.4.4),

## gajim 1.1.3

=== debian/changelog ===
gajim (1.1.3-2) unstable; urgency=medium

  * re-upload to unstable

 -- W. Martin Borgert <debacle@debian.org>  Sun, 21 Jul 2019 19:47:33 +0000

gajim (1.1.3-1) experimental; urgency=medium

  * new upstream stable version, mainly bug fixes

 -- W. Martin Borgert <debacle@debian.org>  Tue, 23 Apr 2019 22:05:23 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
     Norbert Tretkowski <norbert@tretkowski.de>,
     W. Martin Borgert <debacle@debian.org>
 Build-Depends:
-    debhelper (>= 10),
+    debhelper-compat (= 11),
     dh-python,
     gettext (>= 0.17-4),
     imagemagick,
@@ -14,6 +14,7 @@
     libglib2.0-dev,
     python3,
     python3-cssutils,
+    python3-distutils,
     python3-gi,
     python3-gi-cairo,
     gir1.2-gtk-3.0,
@@ -32,7 +33,7 @@
     ${python3:Depends},
     gir1.2-gtk-3.0 (>= 3.22),
     python3 (>= 3.5),
-    python3-cssutils,
+    python3-cssutils (>= 1.0.2),
     python3-gi,
     python3-gi-cairo,
     python3-idna,

## gajim 1.2.0

=== debian/changelog ===
gajim (1.2.0-2) unstable; urgency=medium

  * remove breaks on gajim-rostertweaks

 -- Martin <debacle@debian.org>  Fri, 03 Jul 2020 07:17:05 +0000

gajim (1.2.0-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Sun, 21 Jun 2020 15:52:53 +0000

gajim (1.1.99.1+20200607.6b482a11-1) experimental; urgency=medium

  * New upstream snapshot from the 1.2 branch

 -- Martin <debacle@debian.org>  Sat, 13 Jun 2020 17:29:29 +0000

gajim (1.1.99.1+20200523.534a2947-1) experimental; urgency=medium

  * New upstream snapshot from the 1.2 branch

 -- Martin <debacle@debian.org>  Sat, 23 May 2020 23:52:52 +0000

gajim (1.1.99.1+20200510.03412e7e-1) experimental; urgency=medium

  * New upstream snapshot from the 1.2 branch

 -- Martin <debacle@debian.org>  Sun, 10 May 2020 21:52:12 +0000

gajim (1.1.99~20200429.65506e31-1) experimental; urgency=medium

  * New upstream snapshot from the 1.2 branch

 -- Martin <debacle@debian.org>  Wed, 29 Apr 2020 21:16:07 +0000

gajim (1.1.94~20200429.9b7ae7d5-1) experimental; urgency=medium

  * New upstream snapshot
    - remove obsolete patches

 -- Martin <debacle@debian.org>  Wed, 29 Apr 2020 19:55:04 +0000

gajim (1.1.94~20200421.36d26149-1) experimental; urgency=medium

  * Upstream master snapshot
    - added two patches by upstream contributor: add-account-icon.patch
      and get_last_conversation_lines-account-specific.patch

 -- Martin <debacle@debian.org>  Wed, 22 Apr 2020 22:54:07 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
 Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>,
     Norbert Tretkowski <norbert@tretkowski.de>,
-    W. Martin Borgert <debacle@debian.org>
+    Martin <debacle@debian.org>
 Build-Depends:
     debhelper-compat (= 11),
     dh-python,
@@ -31,13 +31,13 @@
 Depends:
     ${misc:Depends},
     ${python3:Depends},
-    gir1.2-gtk-3.0 (>= 3.22),
+    gir1.2-gtk-3.0 (>= 3.22.27~),
     python3 (>= 3.5),
     python3-cssutils (>= 1.0.2),
-    python3-gi,
-    python3-gi-cairo,
+    python3-gi (>= 3.32.0),
+    python3-gi-cairo (>= 1.14.0~),
     python3-idna,
-    python3-nbxmpp (>= 0.6.9~),
+    python3-nbxmpp (>= 1.0.0~),
     python3-openssl (>= 0.12),
     python3-precis-i18n,
 Recommends:
@@ -49,6 +49,7 @@
     gajim-pgp,
     gir1.2-farstream-0.2,
     gir1.2-geoclue-2.0,
+    gir1.2-gsound-1.0,
     gir1.2-gspell-1,
     gir1.2-gst-plugins-base-1.0,
     gir1.2-gstreamer-1.0,
@@ -68,11 +69,17 @@
     nautilus-sendto,
     python3-kerberos (>= 1.1),
     python3-pycurl,
-Breaks: gajim-antispam (<< 1.4.4),
+Breaks: gajim-antispam (<< 1.4.33),
+    gajim-appindicatorintegration (<< 1.2.5),
     gajim-httpupload,
-    gajim-omemo (<< 2.5.6),
-    gajim-triggers (<< 0.2),
-    gajim-urlimagepreview (<< 2.1.5)
+    gajim-lengthnotifier (<< 1.2.5),
+    gajim-omemo (<< 2.6.79),
+    gajim-openpgp (<< 1.2.14),
+    gajim-pgp (<< 1.2.46),
+    gajim-plugininstaller (<< 1.2.14),
+    gajim-syntaxhighlight (<< 1.2.5),
+    gajim-triggers (<< 1.2.5),
+    gajim-urlimagepreview (<< 2.4.5)
 Replaces: gajim-httpupload
 Provides: gajim-httpupload
 Description: GTK+-based Jabber client

## gajim 1.2.1

=== debian/changelog ===
gajim (1.2.1-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Wed, 08 Jul 2020 21:46:29 +0000

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
     python3-gi (>= 3.32.0),
     python3-gi-cairo (>= 1.14.0~),
     python3-idna,
-    python3-nbxmpp (>= 1.0.0~),
+    python3-nbxmpp (>= 1.0.1~),
     python3-openssl (>= 0.12),
     python3-precis-i18n,
 Recommends:

## gajim 1.2.2

=== debian/changelog ===
gajim (1.2.2-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Tue, 08 Sep 2020 17:59:08 +0000

## gajim 1.3.0~beta1

=== debian/changelog ===
gajim (1.3.0~beta1-1) unstable; urgency=medium

  * New upstream beta version with many new features, e.g.
    - Support for Chat Markers (XEP-0333)
    - Support for vCard4 (XEP-0292)
    - Redesigned Voice/Video chat interface

 -- Martin <debacle@debian.org>  Thu, 31 Dec 2020 15:00:23 +0000

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
     python3-gi (>= 3.32.0),
     python3-gi-cairo (>= 1.14.0~),
     python3-idna,
-    python3-nbxmpp (>= 1.0.1~),
+    python3-nbxmpp (>= 2.0.0~),
     python3-openssl (>= 0.12),
     python3-precis-i18n,
 Recommends:
@@ -69,17 +69,18 @@
     nautilus-sendto,
     python3-kerberos (>= 1.1),
     python3-pycurl,
-Breaks: gajim-antispam (<< 1.4.33),
-    gajim-appindicatorintegration (<< 1.2.5),
+Breaks: gajim-antispam (<< 1.5.2),
+    gajim-appindicatorintegration (<< 1.3.3),
     gajim-httpupload,
-    gajim-lengthnotifier (<< 1.2.5),
-    gajim-omemo (<< 2.6.79),
-    gajim-openpgp (<< 1.2.14),
-    gajim-pgp (<< 1.2.46),
-    gajim-plugininstaller (<< 1.2.14),
-    gajim-syntaxhighlight (<< 1.2.5),
-    gajim-triggers (<< 1.2.5),
-    gajim-urlimagepreview (<< 2.4.5)
+    gajim-lengthnotifier (<< 1.3.2),
+    gajim-omemo (<< 2.7.12),
+    gajim-openpgp (<< 1.3.9),
+    gajim-pgp (<< 1.3.5),
+    gajim-plugininstaller (<< 1.3.7),
+    gajim-rostertweaks,
+    gajim-syntaxhighlight (<< 1.3.2),
+    gajim-triggers (<< 1.3.1),
+    gajim-urlimagepreview (<< 2.5.6)
 Replaces: gajim-httpupload
 Provides: gajim-httpupload
 Description: GTK+-based Jabber client

## gajim 1.3.0~beta2

=== debian/changelog ===
gajim (1.3.0~beta2-1) unstable; urgency=medium

  * New upstream beta version

 -- Martin <debacle@debian.org>  Sun, 10 Jan 2021 23:57:37 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
     Norbert Tretkowski <norbert@tretkowski.de>,
     Martin <debacle@debian.org>
 Build-Depends:
-    debhelper-compat (= 11),
+    debhelper-compat (= 12),
     dh-python,
     gettext (>= 0.17-4),
     imagemagick,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

# The Makefile test target is broken and refers to a non-existant test/runtests.py;
# in fact that target should not exist at all.
override_dh_auto_test:

override_dh_auto_clean:
	python3 setup.py clean -a
	rm -rf $$(find gajim/ -name __pycache__)

override_dh_auto_configure:
	python3 setup.py config

override_dh_auto_build:
	python3 setup.py build

override_dh_auto_install:
	python3 setup.py install --install-layout=deb --root=$(CURDIR)/debian/gajim

## gajim 1.3.0

=== debian/changelog ===
gajim (1.3.0-1) unstable; urgency=medium

  * Depend on desktop-file-utils (Closes: #977510)
  * New upstream release

 -- Martin <debacle@debian.org>  Sun, 07 Feb 2021 17:21:48 +0000

## gajim 1.3.1

=== debian/changelog ===
gajim (1.3.1-1) unstable; urgency=medium

  * New upstream (mostly) bug fix release:
    - Add setting for GSSAPI authentication
    - #10416 Remove conversion of ASCII emojis
    - #10273 VcardWindow: Fix resource string if resource is missing
    - #10424 GroupChatInvitation: Show account badge
    - #10430 Preferences: Check for pipeline before removing elements
    - #10436 Stop early when handling connection-failed in handle_event
    - #10438 Set account window stack as non-vhomogeneous
    - #10443 ServiceRegistration: Use nbxmpp register methods
    - #10445 Change dataform to href markup URLs in fixed field
    - #10450 Workaround for crash on clicking links
    - AvatarSelector: Improve error handling
    - Profile: Show error if avatar upload fails
    - UserAvatar: Handle empty data nodes
    - StatusIcon: Only hide application when its focused

 -- Martin <debacle@debian.org>  Mon, 01 Mar 2021 16:38:07 +0000

=== debian/control ===
--- 
+++ 
@@ -31,13 +31,14 @@
 Depends:
     ${misc:Depends},
     ${python3:Depends},
+    desktop-file-utils,
     gir1.2-gtk-3.0 (>= 3.22.27~),
     python3 (>= 3.5),
     python3-cssutils (>= 1.0.2),
     python3-gi (>= 3.32.0),
     python3-gi-cairo (>= 1.14.0~),
     python3-idna,
-    python3-nbxmpp (>= 2.0.0~),
+    python3-nbxmpp (>= 2.0.1~),
     python3-openssl (>= 0.12),
     python3-precis-i18n,
 Recommends:

## gajim 1.3.2

=== debian/changelog ===
gajim (1.3.2-2) unstable; urgency=medium

  [ John Scott ]
  * Suggest gir1.2-avahi-0.6 which is necessary for Zeroconf support.

  [ Martin ]
  * Upstream bug fix and maintenance release:
    - New
      * Accounts: Add account switch description
    - Changes
      * MessageInput: Remove custom placeholder
      * MessageInput: Add focus borders
    - Bug fixes
      * #10010 Only convert domain name to ASCII
      * #10342 UnicodeDecodeError related to avatars
      * #10428 Roster: Handle missing avatar_sha

 -- Martin <debacle@debian.org>  Sun, 25 Apr 2021 09:15:34 +0000

=== debian/control ===
--- 
+++ 
@@ -66,6 +66,7 @@
     python3-pil,
 Suggests:
     avahi-daemon,
+    gir1.2-avahi-0.6,
     libxss1,
     nautilus-sendto,
     python3-kerberos (>= 1.1),

## gajim 1.3.3

=== debian/changelog ===
gajim (1.3.3-1) unstable; urgency=medium

  * Upstream bug fix and maintenance release:
    See /usr/share/doc/gajim/changelog.gz for details.

 -- Martin <debacle@debian.org>  Sat, 09 Oct 2021 21:34:16 +0000

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
     python3-gi (>= 3.32.0),
     python3-gi-cairo (>= 1.14.0~),
     python3-idna,
-    python3-nbxmpp (>= 2.0.1~),
+    python3-nbxmpp (>= 2.0.4~),
     python3-openssl (>= 0.12),
     python3-precis-i18n,
 Recommends:
@@ -59,7 +59,6 @@
     gstreamer1.0-plugins-ugly,
     notification-daemon,
     pulseaudio-utils | alsa-utils | sox | oss4-base,
-    python3-crypto,
     python3-dbus (>=0.81),
     python3-gnupg (>= 0.4.1),
     python3-keyring,

## gajim 1.4.0

=== docker/requirements.txt ===
PyGObject
pycairo>=1.20
mypy
pylint==2.12.2
pillow
codespell
coverage
css-parser
keyring
packaging
precis-i18n
pyOpenSSL
types-pkg_resources
requests
sentry-sdk
rich
twine

=== debian/changelog ===
gajim (1.4.0-1) unstable; urgency=medium

  * New major release with many changes and new features,
    see /usr/share/doc/gajim/changelog.gz for details.
  * Update dependencies and recommends according new version.
  * Remove obsolete no-git-call.patch.
  * Add do-not-use-plugininstaller-by-default.patch.
  * Remove Norbert from Uploaders (Closes: #1006715).

 -- Martin <debacle@debian.org>  Mon, 07 Mar 2022 13:18:37 +0000

=== debian/control ===
Source: gajim
Section: net
Priority: optional
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>,
    Martin <debacle@debian.org>
Build-Depends:
    debhelper-compat (= 13),
    dh-python,
    gettext (>= 0.17-4),
    imagemagick,
    intltool (>= 0.40.1),
    libglib2.0-dev,
    python3,
    python3-cssutils,
    python3-distutils,
    python3-gi,
    python3-gi-cairo,
    gir1.2-gtk-3.0,
    python3-nbxmpp,
    python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.1.4
Homepage: https://gajim.org/
Vcs-Git: https://salsa.debian.org/xmpp-team/gajim.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/gajim

Package: gajim
Architecture: all
Depends:
    ${misc:Depends},
    ${python3:Depends},
    desktop-file-utils,
    gir1.2-gtk-3.0 (>= 3.22.27~),
    gir1.2-gtksource-4,
    python3 (>= 3.5),
    python3-cssutils (>= 1.0.2),
    python3-gi (>= 3.32.0),
    python3-gi-cairo (>= 1.14.0~),
    python3-idna,
    python3-nbxmpp (>= 3.0.0~),
    python3-openssl (>= 0.12),
    python3-precis-i18n,
Recommends:
    aspell-en | aspell-dictionary,
    ca-certificates,
    dbus,
    fonts-noto-color-emoji,
    gajim-omemo (>= 2.5.1),
    gajim-openpgp,
    gir1.2-farstream-0.2,
    gir1.2-geoclue-2.0,
    gir1.2-gsound-1.0,
    gir1.2-gspell-1,
    gir1.2-gst-plugins-base-1.0,
    gir1.2-gstreamer-1.0,
    gir1.2-gupnpigd-1.0,
    gir1.2-secret-1,
    gstreamer1.0-plugins-ugly,
    notification-daemon,
    pulseaudio-utils | alsa-utils | sox | oss4-base,
    python3-dbus (>=0.81),
    python3-keyring,
    python3-pil,
    python3-sentry-sdk,
Suggests:
    libxss1,
    nautilus-sendto,
    python3-kerberos (>= 1.1),
    python3-pycurl,
Breaks:
    gajim-antispam (<< 1.6.3),
    gajim-appindicatorintegration,
    gajim-httpupload,
    gajim-lengthnotifier (<< 1.4.3),
    gajim-omemo (<< 2.8.9),
    gajim-openpgp (<< 1.4.4),
    gajim-pgp (<< 1.4.4),
    gajim-plugininstaller,
    gajim-rostertweaks,
    gajim-syntaxhighlight,
    gajim-triggers (<< 1.4.4),
    gajim-urlimagepreview,
Replaces:
    gajim-appindicatorintegration,
    gajim-httpupload,
    gajim-plugininstaller,
    gajim-syntaxhighlight,
    gajim-urlimagepreview,
Provides:
    gajim-appindicatorintegration,
    gajim-httpupload,
    gajim-plugininstaller,
    gajim-syntaxhighlight,
    gajim-urlimagepreview,
Description: GTK+-based Jabber client
 Gajim is a Jabber client. It has a tabbed user interface with normal chats,
 group chats, and has many features such as, TLS, GPG, SSL, multiple accounts,
 avatars, file transfers, audio/video call, D-Bus and Metacontacts.

## gajim 1.4.3

=== debian/changelog ===
gajim (1.4.3-1) unstable; urgency=medium

  * Upstream bug fix release
  * Remove obsolete patch do-not-use-distutils.patch
  * Update some dependencies
  * Activated unit tests again

 -- Martin <debacle@debian.org>  Sun, 05 Jun 2022 22:12:41 +0000

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,15 @@
     intltool (>= 0.40.1),
     libglib2.0-dev,
     python3,
-    python3-cssutils,
+    python3-css-parser,
     python3-distutils,
     python3-gi,
     python3-gi-cairo,
     gir1.2-gtk-3.0,
     python3-nbxmpp,
-    python3-setuptools
+    python3-openssl,
+    python3-packaging,
+    python3-setuptools,
 Rules-Requires-Root: no
 Standards-Version: 4.1.4
 Homepage: https://gajim.org/
@@ -31,10 +33,11 @@
     ${misc:Depends},
     ${python3:Depends},
     desktop-file-utils,
+    gir1.2-gst-plugins-base-1.0,
     gir1.2-gtk-3.0 (>= 3.22.27~),
     gir1.2-gtksource-4,
     python3 (>= 3.5),
-    python3-cssutils (>= 1.0.2),
+    python3-css-parser,
     python3-gi (>= 3.32.0),
     python3-gi-cairo (>= 1.14.0~),
     python3-idna,
@@ -52,7 +55,6 @@
     gir1.2-geoclue-2.0,
     gir1.2-gsound-1.0,
     gir1.2-gspell-1,
-    gir1.2-gst-plugins-base-1.0,
     gir1.2-gstreamer-1.0,
     gir1.2-gupnpigd-1.0,
     gir1.2-secret-1,
@@ -66,8 +68,6 @@
 Suggests:
     libxss1,
     nautilus-sendto,
-    python3-kerberos (>= 1.1),
-    python3-pycurl,
 Breaks:
     gajim-antispam (<< 1.6.3),
     gajim-appindicatorintegration,

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,8 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
-# The Makefile test target is broken and refers to a non-existant test/runtests.py;
-# in fact that target should not exist at all.
 override_dh_auto_test:
+	python3 -m unittest discover -s test -v
 
 override_dh_auto_clean:
 	python3 setup.py clean -a

## gajim 1.4.4

=== debian/changelog ===
gajim (1.4.4-1) unstable; urgency=medium

  * Upstream maintenance release
    See /usr/share/doc/gajim/changelog.gz for details

 -- Martin <debacle@debian.org>  Sat, 18 Jun 2022 06:57:34 +0000

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
     python3-nbxmpp,
     python3-openssl,
     python3-packaging,
+    python3-pil,
     python3-setuptools,
 Rules-Requires-Root: no
 Standards-Version: 4.1.4

## gajim 1.4.5

=== debian/changelog ===
gajim (1.4.5-1) unstable; urgency=medium

  * Upstream maintenance release
    See /usr/share/doc/gajim/changelog.gz for details

 -- Martin <debacle@debian.org>  Thu, 23 Jun 2022 16:55:01 +0000

## gajim 1.4.6

=== debian/changelog ===
gajim (1.4.6-1) unstable; urgency=medium

  * Upstream maintenance release
    See /usr/share/doc/gajim/changelog.gz for details

 -- Martin <debacle@debian.org>  Sat, 09 Jul 2022 15:39:04 +0000

## gajim 1.4.7

=== debian/changelog ===
gajim (1.4.7-1) unstable; urgency=medium

  * Upstream maintenance release
    See /usr/share/doc/gajim/changelog.gz for details

 -- Martin <debacle@debian.org>  Mon, 25 Jul 2022 14:57:57 +0000

## gajim 1.5.1%2Breally1.4.7

=== debian/changelog ===
gajim (1.5.1+really1.4.7-1~bpo11+1) bullseye-backports; urgency=medium

  * Revert bullseye-backports to 1.4.7.
    Sorry, but the dependencies are too tight for now!

 -- Martin <debacle@debian.org>  Tue, 27 Sep 2022 19:37:55 +0000

gajim (1.4.7-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Martin <debacle@debian.org>  Sun, 31 Jul 2022 19:58:03 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
     debhelper-compat (= 13),
     dh-python,
     gettext (>= 0.17-4),
+    gir1.2-gtk-3.0,
     imagemagick,
     intltool (>= 0.40.1),
     libglib2.0-dev,
@@ -16,8 +17,7 @@
     python3-distutils,
     python3-gi,
     python3-gi-cairo,
-    gir1.2-gtk-3.0,
-    python3-nbxmpp,
+    python3-nbxmpp (>= 3.1.1~),
     python3-openssl,
     python3-packaging,
     python3-pil,
@@ -39,10 +39,10 @@
     gir1.2-gtksource-4,
     python3 (>= 3.5),
     python3-css-parser,
-    python3-gi (>= 3.32.0),
-    python3-gi-cairo (>= 1.14.0~),
+    python3-gi,
+    python3-gi-cairo,
     python3-idna,
-    python3-nbxmpp (>= 3.0.0~),
+    python3-nbxmpp (>= 3.1.1~),
     python3-openssl (>= 0.12),
     python3-precis-i18n,
 Recommends:

=== debian/rules ===
--- 
+++ 
@@ -18,3 +18,6 @@
 
 override_dh_auto_install:
 	python3 setup.py install --install-layout=deb --root=$(CURDIR)/debian/gajim
+
+override_dh_installchangelogs:
+	dh_installchangelogs ChangeLog

## gajim 1.5.3

=== debian/changelog ===
gajim (1.5.3-1) unstable; urgency=medium

  * Upstream maintenance release
  * Add autopkgtest

 -- Martin <debacle@debian.org>  Mon, 31 Oct 2022 17:47:23 +0000

gajim (1.5.2-1) unstable; urgency=medium

  * Upstream bug fix release

 -- Martin <debacle@debian.org>  Sat, 08 Oct 2022 17:58:00 +0000

gajim (1.5.1-1) unstable; urgency=medium

  * Upstream bug fix release

 -- Martin <debacle@debian.org>  Tue, 20 Sep 2022 06:44:04 +0000

gajim (1.5.0-1) unstable; urgency=medium

  * New upstream release with many improvements
    See /usr/share/doc/gajim/changelog.gz for details

 -- Martin <debacle@debian.org>  Mon, 19 Sep 2022 20:48:26 +0000

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,16 @@
     dh-python,
     gettext (>= 0.17-4),
     gir1.2-gtk-3.0,
+    gir1.2-gtksource-4,
     imagemagick,
     intltool (>= 0.40.1),
     libglib2.0-dev,
     python3,
     python3-css-parser,
     python3-distutils,
-    python3-gi,
-    python3-gi-cairo,
-    python3-nbxmpp (>= 3.1.1~),
+    python3-gi (>= 3.42.0~),
+    python3-gi-cairo (>= 3.42.0~),
+    python3-nbxmpp (>= 3.2.2~),
     python3-openssl,
     python3-packaging,
     python3-pil,
@@ -39,10 +40,10 @@
     gir1.2-gtksource-4,
     python3 (>= 3.5),
     python3-css-parser,
-    python3-gi,
-    python3-gi-cairo,
+    python3-gi (>= 3.42.0~),
+    python3-gi-cairo (>= 3.42.0~),
     python3-idna,
-    python3-nbxmpp (>= 3.1.1~),
+    python3-nbxmpp (>= 3.2.5~),
     python3-openssl (>= 0.12),
     python3-precis-i18n,
 Recommends:
@@ -63,6 +64,7 @@
     notification-daemon,
     pulseaudio-utils | alsa-utils | sox | oss4-base,
     python3-dbus (>=0.81),
+    python3-gssapi,
     python3-keyring,
     python3-pil,
     python3-sentry-sdk,

## gajim 1.5.4

=== debian/changelog ===
gajim (1.5.4-1) unstable; urgency=medium

  * Upstream maintenance release
  * Recommend gstreamer1.0-gl and gstreamer1.0-nice for A/V calls,
    thanks to Pavel (Narayana Oü)

 -- Martin <debacle@debian.org>  Sat, 03 Dec 2022 23:10:09 +0000

=== debian/control ===
--- 
+++ 
@@ -14,12 +14,12 @@
     intltool (>= 0.40.1),
     libglib2.0-dev,
     python3,
+    python3-cryptography,
     python3-css-parser,
     python3-distutils,
     python3-gi (>= 3.42.0~),
     python3-gi-cairo (>= 3.42.0~),
     python3-nbxmpp (>= 3.2.2~),
-    python3-openssl,
     python3-packaging,
     python3-pil,
     python3-setuptools,
@@ -39,12 +39,12 @@
     gir1.2-gtk-3.0 (>= 3.22.27~),
     gir1.2-gtksource-4,
     python3 (>= 3.5),
+    python3-cryptography,
     python3-css-parser,
     python3-gi (>= 3.42.0~),
     python3-gi-cairo (>= 3.42.0~),
     python3-idna,
     python3-nbxmpp (>= 3.2.5~),
-    python3-openssl (>= 0.12),
     python3-precis-i18n,
 Recommends:
     aspell-en | aspell-dictionary,
@@ -60,6 +60,8 @@
     gir1.2-gstreamer-1.0,
     gir1.2-gupnpigd-1.0,
     gir1.2-secret-1,
+    gstreamer1.0-gl,
+    gstreamer1.0-nice,
     gstreamer1.0-plugins-ugly,
     notification-daemon,
     pulseaudio-utils | alsa-utils | sox | oss4-base,

## gajim 1.6.0

=== debian/changelog ===
gajim (1.6.0-1) unstable; urgency=medium

  * New upstream release with many improvements
    See /usr/share/doc/gajim/changelog.gz for details

 -- Martin <debacle@debian.org>  Sat, 07 Jan 2023 20:35:24 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
     python3-distutils,
     python3-gi (>= 3.42.0~),
     python3-gi-cairo (>= 3.42.0~),
-    python3-nbxmpp (>= 3.2.2~),
+    python3-nbxmpp (>= 4.0.0~),
     python3-packaging,
     python3-pil,
     python3-setuptools,
@@ -44,7 +44,7 @@
     python3-gi (>= 3.42.0~),
     python3-gi-cairo (>= 3.42.0~),
     python3-idna,
-    python3-nbxmpp (>= 3.2.5~),
+    python3-nbxmpp (>= 4.0.0~),
     python3-precis-i18n,
 Recommends:
     aspell-en | aspell-dictionary,
@@ -74,17 +74,17 @@
     libxss1,
     nautilus-sendto,
 Breaks:
-    gajim-antispam (<< 1.6.3),
+    gajim-antispam (<< 1.6.8),
     gajim-appindicatorintegration,
     gajim-httpupload,
-    gajim-lengthnotifier (<< 1.4.3),
-    gajim-omemo (<< 2.8.9),
-    gajim-openpgp (<< 1.4.4),
-    gajim-pgp (<< 1.4.4),
+    gajim-lengthnotifier (<< 1.4.8),
+    gajim-omemo (<< 2.9.0),
+    gajim-openpgp (<< 1.5.0),
+    gajim-pgp (<< 1.5.1),
     gajim-plugininstaller,
     gajim-rostertweaks,
     gajim-syntaxhighlight,
-    gajim-triggers (<< 1.4.4),
+    gajim-triggers (<< 1.4.8),
     gajim-urlimagepreview,
 Replaces:
     gajim-appindicatorintegration,

## gajim 1.6.1

=== debian/changelog ===
gajim (1.6.1-2) unstable; urgency=medium

  * Disable some partially broken unittests, as suggested by upstream

 -- Martin <debacle@debian.org>  Sun, 15 Jan 2023 10:01:55 +0000

gajim (1.6.1-1) unstable; urgency=medium

  * New upstream maintenance release
    See /usr/share/doc/gajim/changelog.gz for details

 -- Martin <debacle@debian.org>  Sat, 14 Jan 2023 11:10:05 +0000

## gajim 1.7.0

=== debian/changelog ===
gajim (1.7.0-1) unstable; urgency=medium

  * New upstream release

 -- Martin <debacle@debian.org>  Fri, 03 Feb 2023 16:23:12 +0000

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
     imagemagick,
     intltool (>= 0.40.1),
     libglib2.0-dev,
+    pybuild-plugin-pyproject,
     python3,
     python3-cryptography,
     python3-css-parser,

## gajim 1.7.1

=== debian/changelog ===
gajim (1.7.1-1) unstable; urgency=medium

  * New stable maintenance release (bug fixes, minor improvements)

 -- Martin <debacle@debian.org>  Mon, 13 Feb 2023 13:53:58 +0000

## gajim 1.7.2

=== debian/changelog ===
gajim (1.7.2-2) unstable; urgency=medium

  * Re-upload to unstable.

 -- Martin <debacle@debian.org>  Tue, 14 Mar 2023 23:24:18 +0000

gajim (1.7.2-1) experimental; urgency=medium

  * New stable maintenance release (bug fixes, minor improvements)
  * Remove obsolete patch disable-broken-unittests.patch

 -- Martin <debacle@debian.org>  Sun, 12 Mar 2023 21:54:36 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
     python3-distutils,
     python3-gi (>= 3.42.0~),
     python3-gi-cairo (>= 3.42.0~),
-    python3-nbxmpp (>= 4.0.0~),
+    python3-nbxmpp (>= 4.2.0~),
     python3-packaging,
     python3-pil,
     python3-setuptools,
@@ -45,7 +45,7 @@
     python3-gi (>= 3.42.0~),
     python3-gi-cairo (>= 3.42.0~),
     python3-idna,
-    python3-nbxmpp (>= 4.0.0~),
+    python3-nbxmpp (>= 4.2.0~),
     python3-precis-i18n,
 Recommends:
     aspell-en | aspell-dictionary,

## gajim 1.7.3

=== debian/changelog ===
gajim (1.7.3-2) unstable; urgency=medium

  * Re-upload to unstable

 -- Martin <debacle@debian.org>  Sat, 08 Apr 2023 20:31:19 +0000

gajim (1.7.3-1) experimental; urgency=medium

  * New upstream release, mainly bug fixes and minor features
  * Recommend gir1.2-ayatanaappindicator3-0.1, needed for tray icon on
    Wayland
  * Depend on python3-nbxmpp >= 4.2.2

 -- Martin <debacle@debian.org>  Wed, 05 Apr 2023 07:49:03 +0000

gajim (1.7.2-3) unstable; urgency=medium

  * One unittest still broken, disabled again

 -- Martin <debacle@debian.org>  Wed, 15 Mar 2023 23:55:53 +0000

=== debian/control ===
--- 
+++ 
@@ -45,7 +45,7 @@
     python3-gi (>= 3.42.0~),
     python3-gi-cairo (>= 3.42.0~),
     python3-idna,
-    python3-nbxmpp (>= 4.2.0~),
+    python3-nbxmpp (>= 4.2.2~),
     python3-precis-i18n,
 Recommends:
     aspell-en | aspell-dictionary,
@@ -54,6 +54,7 @@
     fonts-noto-color-emoji,
     gajim-omemo (>= 2.5.1),
     gajim-openpgp,
+    gir1.2-ayatanaappindicator3-0.1,
     gir1.2-farstream-0.2,
     gir1.2-geoclue-2.0,
     gir1.2-gsound-1.0,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_build:
	./pep517build/build_metadata.py

override_dh_auto_test:
	python3 -m unittest discover -s test -v

## gajim 1.8.0

=== debian/changelog ===
gajim (1.8.0-2ubuntu1) mantic; urgency=medium

  * Drop unused Recommends: gir1.2-gupnpigd-1.0 (Closes: #1040503)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Jul 2023 16:54:21 -0400

gajim (1.8.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Martin <debacle@debian.org>  Sat, 10 Jun 2023 21:24:45 +0000

gajim (1.8.0-1) experimental; urgency=medium

  * New upstream release
    See /usr/share/doc/gajim/changelog.gz for details

 -- Martin <debacle@debian.org>  Sat, 27 May 2023 11:05:30 +0000

gajim (1.7.3+git20230522.8392372a-1) experimental; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Tue, 23 May 2023 16:44:28 +0000

gajim (1.7.3+git20230515.e145689e-1) experimental; urgency=medium

  * New upstream snapshot

 -- Martin <debacle@debian.org>  Tue, 16 May 2023 06:46:25 +0000

gajim (1.7.3+git20230504.fc692871-1) experimental; urgency=medium

  * New upstream snapshot, integrates OMEMO (instead of plugin)

 -- Martin <debacle@debian.org>  Sat, 06 May 2023 00:07:11 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gajim
 Section: net
 Priority: optional
-Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
 Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>,
     Martin <debacle@debian.org>
 Build-Depends:
@@ -20,9 +21,10 @@
     python3-distutils,
     python3-gi (>= 3.42.0~),
     python3-gi-cairo (>= 3.42.0~),
-    python3-nbxmpp (>= 4.2.0~),
+    python3-nbxmpp (>= 4.3.0~),
     python3-packaging,
     python3-pil,
+    python3-qrcode,
     python3-setuptools,
 Rules-Requires-Root: no
 Standards-Version: 4.1.4
@@ -45,14 +47,14 @@
     python3-gi (>= 3.42.0~),
     python3-gi-cairo (>= 3.42.0~),
     python3-idna,
-    python3-nbxmpp (>= 4.2.2~),
+    python3-nbxmpp (>= 4.3.0~),
+    python3-omemo-dr (>= 1.0.0~),
     python3-precis-i18n,
 Recommends:
     aspell-en | aspell-dictionary,
     ca-certificates,
     dbus,
     fonts-noto-color-emoji,
-    gajim-omemo (>= 2.5.1),
     gajim-openpgp,
     gir1.2-ayatanaappindicator3-0.1,
     gir1.2-farstream-0.2,
@@ -60,7 +62,6 @@
     gir1.2-gsound-1.0,
     gir1.2-gspell-1,
     gir1.2-gstreamer-1.0,
-    gir1.2-gupnpigd-1.0,
     gir1.2-secret-1,
     gstreamer1.0-gl,
     gstreamer1.0-nice,
@@ -80,7 +81,7 @@
     gajim-appindicatorintegration,
     gajim-httpupload,
     gajim-lengthnotifier (<< 1.4.8),
-    gajim-omemo (<< 2.9.0),
+    gajim-omemo,
     gajim-openpgp (<< 1.5.0),
     gajim-pgp (<< 1.5.1),
     gajim-plugininstaller,
@@ -91,12 +92,14 @@
 Replaces:
     gajim-appindicatorintegration,
     gajim-httpupload,
+    gajim-omemo,
     gajim-plugininstaller,
     gajim-syntaxhighlight,
     gajim-urlimagepreview,
 Provides:
     gajim-appindicatorintegration,
     gajim-httpupload,
+    gajim-omemo,
     gajim-plugininstaller,
     gajim-syntaxhighlight,
     gajim-urlimagepreview,

## gajim 1.8.1

=== debian/changelog ===
gajim (1.8.1-1) unstable; urgency=medium

  * New upstream release
  * Drop unused gir1.2-gupnpigd-1.0 from Recommends (Closes: #1040503)

 -- Martin <debacle@debian.org>  Mon, 14 Aug 2023 19:01:36 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gajim
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
+Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
 Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>,
     Martin <debacle@debian.org>
 Build-Depends:

## gajim 1.8.2

=== debian/changelog ===
gajim (1.8.2-1) unstable; urgency=medium

  * New upstream release

 -- Martin <debacle@debian.org>  Sun, 29 Oct 2023 21:18:13 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
     python3-distutils,
     python3-gi (>= 3.42.0~),
     python3-gi-cairo (>= 3.42.0~),
-    python3-nbxmpp (>= 4.3.0~),
+    python3-nbxmpp (>= 4.4.0~),
     python3-packaging,
     python3-pil,
     python3-qrcode,
@@ -46,7 +46,7 @@
     python3-gi (>= 3.42.0~),
     python3-gi-cairo (>= 3.42.0~),
     python3-idna,
-    python3-nbxmpp (>= 4.3.0~),
+    python3-nbxmpp (>= 4.4.0~),
     python3-omemo-dr (>= 1.0.0~),
     python3-precis-i18n,
 Recommends:

## gajim 1.8.3

=== debian/changelog ===
gajim (1.8.3-1) unstable; urgency=medium

  * New upstream release

 -- Martin <debacle@debian.org>  Mon, 06 Nov 2023 19:39:23 +0000

## gajim 1.8.4

=== debian/changelog ===
gajim (1.8.4-3) unstable; urgency=medium

  * Drop obsolete build-depends on python3-distutils (Closes: #1065862)
    and recommends on aspell

 -- Martin <debacle@debian.org>  Sun, 10 Mar 2024 15:05:04 +0000

gajim (1.8.4-2) unstable; urgency=medium

  * Add upstream patch to fix sentry_sdk import error (Closes: #1061281)

 -- Martin <debacle@debian.org>  Wed, 24 Jan 2024 00:19:52 +0000

gajim (1.8.4-1) unstable; urgency=medium

  * New upstream release

 -- Martin <debacle@debian.org>  Sun, 26 Nov 2023 21:45:14 +0000

=== debian/control ===
--- 
+++ 
@@ -17,10 +17,9 @@
     python3,
     python3-cryptography,
     python3-css-parser,
-    python3-distutils,
     python3-gi (>= 3.42.0~),
     python3-gi-cairo (>= 3.42.0~),
-    python3-nbxmpp (>= 4.4.0~),
+    python3-nbxmpp (>= 4.5.3~),
     python3-packaging,
     python3-pil,
     python3-qrcode,
@@ -46,11 +45,10 @@
     python3-gi (>= 3.42.0~),
     python3-gi-cairo (>= 3.42.0~),
     python3-idna,
-    python3-nbxmpp (>= 4.4.0~),
+    python3-nbxmpp (>= 4.5.3~),
     python3-omemo-dr (>= 1.0.0~),
     python3-precis-i18n,
 Recommends:
-    aspell-en | aspell-dictionary,
     ca-certificates,
     dbus,
     fonts-noto-color-emoji,

=== debian/tests/control ===
Test-Command: python3 -m unittest discover -s test -v
Depends: @
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://dev.gajim.org/gajim/gajim/tags?sort=updated_desc archive/v?\d[\d.]+/gajim-v?([\d.]+)@ARCHIVE_EXT@
